Package fr.gouv.vitam.worker.core.plugin.probativevalue.pojo

# Enum Class ChecksInformation.CheckedItem

java.lang.Object
java.lang.Enum<ChecksInformation.CheckedItem>
fr.gouv.vitam.worker.core.plugin.probativevalue.pojo.ChecksInformation.CheckedItem

All Implemented Interfaces:
  `Serializable`, `Comparable<ChecksInformation.CheckedItem>`, `Constable`

Enclosing class:
  `ChecksInformation`

public static enum ChecksInformation.CheckedItem extends Enum<ChecksInformation.CheckedItem>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EVENT_LFC`
  `EVENT_OBJECT_GROUP`
  `EVENT_OPERATION`
  `FILE_DIGEST`
  `MERKLE_TREE_ROOT_LFC_DIGEST`
  `MERKLE_TREE_ROOT_OBJECT_GROUP_DIGEST`
  `MERKLE_TREE_ROOT_OPERATION_DIGEST`
  `PREVIOUS_TIMESTAMP_LFC`
  `PREVIOUS_TIMESTAMP_OBJECT_GROUP`
  `PREVIOUS_TIMESTAMP_OPERATION`
  `TIMESTAMP_LFC`
  `TIMESTAMP_OBJECT_GROUP`
  `TIMESTAMP_OPERATION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChecksInformation.CheckedItem`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ChecksInformation.CheckedItem[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FILE_DIGEST

    public static final ChecksInformation.CheckedItem FILE_DIGEST

  - ### EVENT_LFC

    public static final ChecksInformation.CheckedItem EVENT_LFC

  - ### EVENT_OBJECT_GROUP

    public static final ChecksInformation.CheckedItem EVENT_OBJECT_GROUP

  - ### EVENT_OPERATION

    public static final ChecksInformation.CheckedItem EVENT_OPERATION

  - ### MERKLE_TREE_ROOT_LFC_DIGEST

    public static final ChecksInformation.CheckedItem MERKLE_TREE_ROOT_LFC_DIGEST

  - ### MERKLE_TREE_ROOT_OPERATION_DIGEST

    public static final ChecksInformation.CheckedItem MERKLE_TREE_ROOT_OPERATION_DIGEST

  - ### TIMESTAMP_LFC

    public static final ChecksInformation.CheckedItem TIMESTAMP_LFC

  - ### TIMESTAMP_OPERATION

    public static final ChecksInformation.CheckedItem TIMESTAMP_OPERATION

  - ### PREVIOUS_TIMESTAMP_LFC

    public static final ChecksInformation.CheckedItem PREVIOUS_TIMESTAMP_LFC

  - ### PREVIOUS_TIMESTAMP_OPERATION

    public static final ChecksInformation.CheckedItem PREVIOUS_TIMESTAMP_OPERATION

  - ### MERKLE_TREE_ROOT_OBJECT_GROUP_DIGEST

    public static final ChecksInformation.CheckedItem MERKLE_TREE_ROOT_OBJECT_GROUP_DIGEST

  - ### TIMESTAMP_OBJECT_GROUP

    public static final ChecksInformation.CheckedItem TIMESTAMP_OBJECT_GROUP

  - ### PREVIOUS_TIMESTAMP_OBJECT_GROUP

    public static final ChecksInformation.CheckedItem PREVIOUS_TIMESTAMP_OBJECT_GROUP

- ## Method Details

  - ### values

    public static ChecksInformation.CheckedItem[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ChecksInformation.CheckedItem valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null